## ruby2.5 2.5.0

=== debian/changelog ===
ruby2.5 (2.5.0-6) unstable; urgency=medium

  * debian/rules: explicitly pass --runstatedir, --localstatedir, and
    --sysconfdir to ./configure

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 04 Mar 2018 13:30:49 -0300

ruby2.5 (2.5.0-5) unstable; urgency=medium

  * Change Maintainer: to Debian Ruby Team
  * debian/patches/0005-Fix-tests-to-cope-with-updates-in-tzdata.patch: fix
    test failures after updates in the Japan timezone data (Closes: #889046)
  * debian/patches/0006-Rubygems-apply-upstream-patch-to-fix-multiple-vulner.patch:
    upgrade to Rubygems 2.7.6 to fix multiple vulnerabilities

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 24 Feb 2018 12:20:04 -0300

ruby2.5 (2.5.0-4) unstable; urgency=medium

  * debian/rules: pass --excludes-dir options to `make check` via $TESTS

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Dec 2017 10:50:04 -0300

ruby2.5 (2.5.0-3) unstable; urgency=medium

  * arm64: skip TestRubyOptimization#test_clear_unreachable_keyword_args. It
    works just fine on a porter box, but consistently hangs on the arm64
    buildd.
  * mipsel: skip some tests from TestNum2int; they fail on the buildd, but not
    on the porterbox.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 29 Dec 2017 21:14:34 -0300

ruby2.5 (2.5.0-2) unstable; urgency=medium

  * Move test exclusions from a patch to debian/tests/excludes/
    - debian/rules, debian/tests/run-all: pass the appropriate exclusion flags
      to the test runner
  * Exclude TestResolvMDNS. It will fail on some architectures, and be very
    slow on others.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 29 Dec 2017 12:57:39 -0300

ruby2.5 (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * Refresh patches
  * debian/libruby2.5.symbols: update
  * debian/tests/known-failures.txt: add another 3 test files that assume the
    tests are being run against a built source tree

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 26 Dec 2017 11:48:55 -0200

ruby2.5 (2.5.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate. Includes the following fixes:
    - Fix stack size on powerpc64 (Closes: #881772)
    - CVE-2017-17405: Command injection vulnerability in Net::FTP
      (Closes: #884437)
  * Refresh patches
  * debian/control:
    - Remove explicit Testsuite: header
    - ruby2.5-dev: Recommends: ruby2.5-doc
    - Declare compatibility with Debian Policy 4.1.2; no changes needed
    - Bump debhelper compatibility level to 10
      - change debian/rules to call ./configure directly, to use upstream's
        built-in multiarch support as before debhelper compatibility level 9
  * debian/watch: download release tarballs.
    Using release tarballs makes it possible to build ruby without having an
    existing ruby. This should help bootstrapping ruby on new
    architectures. (Closes: #832022)
  * debian/copyright: exclude embedded copies of bundled gems and libffi
  * debian/rules:
    - run tests in verbose mode during build
    - drop explicit usage of autotools-dev
    - drop usage of autoreconf debhelper sequence, it's not needed anymore
      since we are now using a complete upstream release tarball
    - drop passing --baseruby to configure, since do not require an existing
      ruby anymore
    - skip setting DEB_HOST_MULTIARCH if already set
    - replace manual call to dpkg-parsechangelog with including
      /usr/share/dpkg/pkg-info.mk and using variables from there.
  * autopkgtest: make use of the text exclusion rules under test/excludes/
  * debian/libruby2.5.symbols: update with symbols added/removed since the
    preview1 release
  * debian/tests/bundled-gems: handle extra field in gems/bundled_gems
  * debian/libruby2.5.lintian-overrides: remove unused override
    (possible-gpl-code-linked-with-openssl)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 24 Dec 2017 12:29:25 -0200

ruby2.5 (2.5.0~preview1-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * New upstream version 2.5.0~preview1
  * debian/patches: import all of our remaining changes wrt upstream. All the
    changes to tests were transformed into exclude files under test/excludes/
  * ruby2.5-dev: don't install *.a files anymore; they are not installed by
    the upstream build system anymore.
  * debian/rules: adapt removal of embedded certificate store in Rubygems
  * debian/rules: also remove embedded certificate store from bundler

  [ Christian Hofstaedtler ]
  * Remove packaging for tcltk extension; it has been removed from Ruby core
    upstream.
  * Drop migration from old -dbg package
  * Disable test for homedir expansion which fails in sbuild
  * Upstream tarballs no longer come from git
  * Update jquery in missing-sources
  * d/copyright: Add info for darkfish icon set
  * Build with default OpenSSL once again

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 10 Oct 2017 21:12:54 -0300

ruby2.3 (2.3.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 22 Nov 2016 12:32:41 +0000

ruby2.3 (2.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 16 Nov 2016 01:31:08 +0000

ruby2.3 (2.3.1-6) unstable; urgency=medium

  * debian/rules: honor 'nocheck' flag in DEB_BUILD_OPTIONS (Closes: #842768).
    Thanks to John Paul Adrian Glaubitz for the patch.
  * Build-Depends on libssl1.0-dev. Ruby 2.3 is not likely to get OpenSSL 1.1
    compatibility (see #828535)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 09 Nov 2016 14:38:59 -0200

ruby2.3 (2.3.1-5) unstable; urgency=medium

  * Increase timeout for test_array.rb test_permutation_stack_error,
    as Array#permutation is very slow on armel, mips, mipsel.
    Forwarded to upstream as issue #12502.
  * Disable test_process.rb test_aspawn_too_long_path, as it uses ~2GB
    of RAM and a lot of CPU time before finally failing on mips, mipsel.
    Forwarded to upstream as issue #12500.

