=== debian/control ===
Source: ruby2.5
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Christian Hofstaedtler <zeha@debian.org>
Build-Depends: bison,
               chrpath,
               coreutils (>= 7.5),
               debhelper (>= 10),
               file,
               libffi-dev,
               libgdbm-dev,
               libgmp-dev,
               libncurses5-dev,
               libncursesw5-dev,
               libreadline6-dev,
               libssl-dev,
               libyaml-dev,
               netbase,
               openssl,
               procps,
               rubygems-integration (>= 1.6),
               systemtap-sdt-dev [linux-any],
               zlib1g-dev
Standards-Version: 4.1.2
Homepage: http://www.ruby-lang.org/
Vcs-Git: https://salsa.debian.org/ruby-team/ruby.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby

Package: ruby2.5
Multi-Arch: allowed
Architecture: any
Depends: rubygems-integration (>= 1.8),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lato,
            libjs-jquery
Description: Interpreter of object-oriented scripting language Ruby
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 In the name of this package, `2.5' indicates the Ruby library compatibility
 version. This package currently provides the `2.5.x' branch of Ruby.

Package: libruby2.5
Section: libs
Multi-Arch: same
Architecture: any
Depends: rake (>= 10.4.2),
         ruby-did-you-mean (>= 1.0),
         ruby-minitest (>= 5.4),
         ruby-net-telnet (>= 0.1.1),
         ruby-test-unit (>= 3.0.8~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Libraries necessary to run Ruby 2.5
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package includes the 'libruby-2.5' library, necessary to run Ruby 2.5.
 (API version 2.5.0)

Package: ruby2.5-dev
Multi-Arch: same
Architecture: any
Depends: libgmp-dev,
         libruby2.5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ruby2.5-doc
Description: Header files for compiling extension modules for the Ruby 2.5
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the header files and the mkmf library, necessary
 to make extension library for Ruby 2.5. It is also required to build
 many gems.

Package: ruby2.5-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Ruby 2.5
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the autogenerated documentation for Ruby 2.5.
