=== debian/tests/control ===
Tests: run-all bundled-gems rubyconfig
Depends: @
