## ruby2.5 2.5.1

=== debian/changelog ===
ruby2.5 (2.5.1-5ubuntu4) cosmic; urgency=high

  * No change rebuild against openssl 1.1.1 with TLS1.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Sep 2018 11:36:36 +0100

ruby2.5 (2.5.1-5ubuntu3) cosmic; urgency=medium

  * Allow either Fetcher or OpenSSL exceptions when using invalid cert in
    rubygems testcase.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Sep 2018 12:10:21 +0100

ruby2.5 (2.5.1-5ubuntu2) cosmic; urgency=medium

  * Cherrypick upstream commits to sync ruby-openssl extension to 2.1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Sep 2018 10:49:54 +0100

ruby2.5 (2.5.1-5ubuntu1) cosmic; urgency=medium

  * Cherrypick upstream commit to fix session resumption with TLS 1.3.
  * Cherrypick upstream commit to bump the test key size for OpenSSL 1.1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 23 Sep 2018 19:42:19 +0100

ruby2.5 (2.5.1-5) unstable; urgency=medium

  * Fix spelling error in patch description
  * Remove always-on dh --parallel
  * Pass --host to configure when cross-building.
    We cannot just use dh_auto_configure because some of the added options
    then make configure need a baseruby, which we want to avoid when
    building for the native arch. (Closes: #893501)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 24 Jul 2018 08:56:14 +0000

ruby2.5 (2.5.1-4) unstable; urgency=medium

  * Disable tests failing on Ubuntu builders (Closes: #886515)
  * Bump Standards-Version to 4.1.5

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 22 Jul 2018 14:18:07 +0000

ruby2.5 (2.5.1-3) unstable; urgency=medium

  * Exclude test that often fails on the Debian mips buildds
  * Add missing patch needed for kfreebsd-amd64 port (Closes: #899267)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 10 Jun 2018 22:08:34 -0300

ruby2.5 (2.5.1-2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/tests/control: ignore output on stderr
  * debian/tests/bundled-gems: only fail on missing gems. Only warn if version
    found is not new enough
  * libruby2.5: add dependency on ruby-xmlrpc

  [ Samuel Thibault ]
  * Fix FTBFS on hurd (Closes: #896509)

  [ Svante Signell ]
  * Exclude tests that fail on kfreebsd (Closes: #899267)

  [ Antonio Terceiro ]
  * Update symbols file for 64-bit architectures

  [ Santiago R.R ]
  * Exclude Rinda TestRingFinger and TestRingServer test units requiring network access
    (Closes: #898917)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 09 Jun 2018 11:50:20 -0300

ruby2.5 (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1.

    According to the release announcement, includes fixes for the following
    security issues:

    - CVE-2017-17742: HTTP response splitting in WEBrick
    - CVE-2018-6914: Unintentional file and directory creation with directory
      traversal in tempfile and tmpdir
    - CVE-2018-8777: DoS by large request in WEBrick
    - CVE-2018-8778: Buffer under-read in String#unpack
    - CVE-2018-8779: Unintentional socket creation by poisoned NUL byte in
      UNIXServer and UNIXSocket
    - CVE-2018-8780: Unintentional directory traversal by poisoned NUL byte in
      Dir
    - Multiple vulnerabilities in RubyGems
  * Refresh patches.

    Patches dropped for being already applied upstream:

    - 0005-Fix-tests-to-cope-with-updates-in-tzdata.patch
    - 0006-Rubygems-apply-upstream-patch-to-fix-multiple-vulner.patch
  * Add patch to fix FTBFS on ia64 (Closes: #889848)
  * Add simple autopkgtest to check for builtin extensions that are build
    against external dependencies (ssl, yaml, *dbm etc)
  * Add build-dependency on libgdbm-compat-dev (Closes: #892099)
  * debian/tests/excludes/any/TestTimeTZ.rb: ignore tests failing due to
    assumptions that don't hold on newer tzdata update. Upstream bug:
    https://bugs.ruby-lang.org/issues/14655
  * debian/libruby2.5.symbols: update with new symbol added in this release

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 31 Mar 2018 13:22:48 -0300
