=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: ruby2.5
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
-           Christian Hofstaedtler <zeha@debian.org>
+           Chris Hofstaedtler <zeha@debian.org>
 Build-Depends: bison,
                chrpath,
                coreutils (>= 7.5),
                debhelper (>= 10),
                file,
                libffi-dev,
+               libgdbm-compat-dev,
                libgdbm-dev,
                libgmp-dev,
                libncurses5-dev,
@@ -20,10 +22,11 @@
                netbase,
                openssl,
                procps,
+               ruby:native <cross>,
                rubygems-integration (>= 1.6),
                systemtap-sdt-dev [linux-any],
                zlib1g-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Homepage: http://www.ruby-lang.org/
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby
@@ -54,6 +57,7 @@
          ruby-minitest (>= 5.4),
          ruby-net-telnet (>= 0.1.1),
          ruby-test-unit (>= 3.0.8~),
+         ruby-xmlrpc (>= 0.3.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Libraries necessary to run Ruby 2.5
