## ruby2.5 2.5.5

=== debian/changelog ===
ruby2.5 (2.5.5-3+deb10u6) buster-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Fix CVE-2023-28755's regex which caused regression.
    (Closes: #1037178)
  * d/p/CVE-2021-33621*.patch: adds regex to lib/cgi/core.rb and
    lib/cgi/cookie.rb along with tests to check http response headers
    and cookie fields for invalid characters. (Fixes: CVE-2021-33621)
  * d/p/CVE-2022-28739.patch: fix dtoa buffer overrun in missing/dtoa.c,
    test/ruby/test_float.rb. (Fixes: CVE-2022-28739)
  * d/p/CVE-2023-28756*.patch: re-do the CVE-2023-28756 patch(es).
    Last update backported the tests which weren't working, et al.
  * d/p/certs_up_fix.patch : add patch to refresh expired SSL certs.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 07 Jun 2023 18:36:12 +0530

ruby2.5 (2.5.5-3+deb10u5) buster-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * CVE-2023-28755 & CVE-2023-28756: Two regular expression Denial of Service
    (ReDoS) issues were discovered: the first in the URI component, and the
    second in the Time module. Each of these issues could have resulted in a
    dramatic increase in execution time given malicious input.
  * Add "test/rubygems/test_gem_remote_fetcher.rb" to the known-to-fail
    autopkgtests, as it relies on a now-expired SSL certificate.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Jun 2023 13:18:31 -0700

ruby2.5 (2.5.5-3+deb10u4) buster-security; urgency=high

  * Add patch to use File.open to fix the OS Command
    Injection vulnerability. (Fixes: CVE-2021-31799)
  * Add patch to fix StartTLS stripping vulnerability.
    (Fixes: CVE-2021-32066)
  * Add patch to ignore IP addresses in PASV responses
    by default. (Fixes: CVE-2021-31810)
  * Add length limit option for methods that parses
    date strings. (Fixes: CVE-2021-41817)
  * When parsing cookies, only decode the values.
    (Fixes: CVE-2021-41819)
  * Add patch to backport rexml upstream bug fixes.
    (Fixes: CVE-2021-28965)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 16 Jan 2022 19:56:28 +0530

ruby2.5 (2.5.5-3+deb10u3) buster; urgency=high

  * Add patch to fix a potential HTTP request smuggling
    vulnerability in WEBrick. (Fixes: CVE-2020-25613)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 13 Oct 2020 18:32:32 +0530

ruby2.5 (2.5.5-3+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patch to fix:
    - CVE-2020-10663: unsafe object creation vulnerability in JSON.
    - CVE-2020-10933: do not return uninitialized buffer.

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 04 Jul 2020 00:07:58 +0530

ruby2.5 (2.5.5-3+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix for wrong fnmatch patttern (CVE-2019-15845)
  * Loop with String#scan without creating substrings (CVE-2019-16201)
  * WEBrick: prevent response splitting and header injection (CVE-2019-16254)
  * lib/shell/command-processor.rb (Shell#[]): prevent unknown command
    (CVE-2019-16255)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 15 Dec 2019 13:58:03 +0100

ruby2.5 (2.5.5-3) unstable; urgency=medium

  * ia64: Don't clear register_stack_start (Closes: #928068)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 02 Jun 2019 10:16:57 -0300

ruby2.5 (2.5.5-2) unstable; urgency=medium

  * debian/tests/excludes/: fix exclusion of Rinda tests that depend on
    network availability, by moving the existing excludes files to the correct
    location. (Closes: #927122)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 13 May 2019 10:55:06 -0300

ruby2.5 (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5. Includes a series of bug fixes, most notably
    for 6 security bugs discovered in Rubygems:
    - CVE-2019-8320: Delete directory using symlink when decompressing tar
    - CVE-2019-8321: Escape sequence injection vulnerability in verbose
    - CVE-2019-8322: Escape sequence injection vulnerability in gem owner
    - CVE-2019-8323: Escape sequence injection vulnerability in API response
      handling
    - CVE-2019-8324: Installing a malicious gem may lead to arbitrary code
      execution
    - CVE-2019-8325: Escape sequence injection vulnerability in errors
  * Rebase patches. The following patches were applied upstream and dropped
    from the Debian package:
    - 0011-Update-for-tzdata-2018f.patch
    - 0012-test-update-test-certificate.patch

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 26 Mar 2019 17:12:34 -0300

ruby2.5 (2.5.3-4) unstable; urgency=medium

  * 0012-test-update-test-certificate.patch: update test certificate so
    SSL-related tests pass (Closes: 919516)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 Feb 2019 17:51:21 -0300

ruby2.5 (2.5.3-3) unstable; urgency=medium

  * arm64: also skip TestBugReporter#test_bug_reporter_add, which also fails~
    4% of the time.
  * mipsel: fix location of skiplist for OpenSSL::TestSSL, from TestSSL.rb to
    OpenSSL/TestSSL.rb.
  * Remove skiplist for OpenSSL::TestSSL on all architectures. It was in the
    wrong place to begin with.
  * Fix location of skiplist for Rinda-related tests.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 27 Nov 2018 09:58:02 -0200

ruby2.5 (2.5.3-2) unstable; urgency=medium

  * arm64: skip TestRubyOptions#test_segv_loaded_features, fails ~3% of the
    time
  * mipsel: skip OpenSSL::TestSSL tests that frequently timeout on the Debian
    buildds
    - test_dh_callback
    - test_get_ephemeral_key
    - test_post_connect_check_with_anon_ciphers

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 25 Nov 2018 13:05:27 -0200

ruby2.5 (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3
    - Includes fix for CVE-2018-16396, "Tainted flags are not propagated in
      Array#pack and String#unpack with some directives" (Closes: #911920)
  * Refresh patches:
    - Dropped 0009-merge-changes-in-ruby-openssl-v2.1.1.patch, already applied
      upstream.

