=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ruby2.5
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Chris Hofstaedtler <zeha@debian.org>
 Build-Depends: bison,
@@ -25,6 +24,7 @@
                ruby:native <cross>,
                rubygems-integration (>= 1.6),
                systemtap-sdt-dev [linux-any],
+               tzdata,
                zlib1g-dev
 Standards-Version: 4.1.5
 Homepage: http://www.ruby-lang.org/
