=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,7 @@
 excludes += --excludes-dir=debian/tests/excludes/$(DEB_HOST_ARCH)/
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check V=1 RUBY_TESTOPTS=-v TESTS="$(excludes)"
+	$(MAKE) check V=1 RUBY_TESTOPTS=-v TESTS="$(excludes)" OPENSSL_CONF=/dev/null
 endif
 
 override_dh_auto_install-arch:
@@ -112,6 +112,7 @@
 
 override_dh_auto_install-indep:
 	$(MAKE) install-doc V=1 DESTDIR=$(CURDIR)/debian/ruby$(RUBY_VERSION)-doc
+	find $(CURDIR)/debian/ruby$(RUBY_VERSION)-doc -name created.rid -delete
 
 override_dh_install-arch:
 	# install SystemTap tapfile
