=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/;s/-preview/~preview/;s/_/./g" \
  https://cache.ruby-lang.org/pub/ruby/2.5/ ruby-(.*)\.tar\.gz
