## ruby2.5 2.5.5.2

=== debian/changelog ===
ruby2.5 (2.5.5.2-3+deb10u3) unstable; urgency=medium

  * update

 -- Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>  Thu, 01 Apr 2021 21:32:01 +0800

ruby2.5 (2.5.5.2-3+deb10u3) buster; urgency=high

  * Add patch to fix a potential HTTP request  smuggling
    vulnerability in WEBrick. (Fixes: CVE-2020-25613)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 13 Oct 2020 18:32:32 +0530
