## ruby2.5 2.5.7

=== debian/changelog ===
ruby2.5 (2.5.7-1ubuntu4) focal; urgency=medium

  * Cherrypcik upstream fix for webrick to use SHA256 MD.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 06 Mar 2020 14:35:56 +0000

ruby2.5 (2.5.7-1ubuntu3) focal; urgency=medium

  * Cherrypick upstream patch to make drb module generate big&strong
    certificates.
  * Set OPENSSL_CONF to lower security level to 1, to allow tests pass
    with weak keys.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 15 Jan 2020 21:20:33 +0000

ruby2.5 (2.5.7-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:42:11 +0000

ruby2.5 (2.5.7-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/rubygems-2388.patch: Allow either Fetcher or OpenSSL exceptions
      when using invalid cert in rubygems testcase.
      - update the patch with the merged upstream PR: 2507
    - various backports for better openssl support (formerly undocumented in
      changelog)
      + d/p/0001-openssl-buffering.rb-no-RS-when-output.patch
      + d/p/0006-Workaround-for-old-LibreSSL.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Nov 2019 08:42:47 +0100

ruby2.5 (2.5.7-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Antonio Terceiro ]
  * New upstream version 2.5.7
  * Refresh patches
  * autopkgtest: rework "expected failures" mechanism. We now just skip the
    tests cases that are known to fail, and not load at all the test files
    that fail to load. This will make the output in case of failures a lot
    more clear.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 23 Oct 2019 12:48:04 -0300

ruby2.5 (2.5.5-4ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 13:40:19 +0200

ruby2.5 (2.5.5-4ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/rubygems-2388.patch: Allow either Fetcher or OpenSSL exceptions
      when using invalid cert in rubygems testcase.
      - update the patch with the merged upstream PR: 2507
    - various backports for better openssl support (formerly undocumented in
      changelog)
      + d/p/0001-openssl-buffering.rb-no-RS-when-output.patch
      + d/p/0006-Workaround-for-old-LibreSSL.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2019 23:55:35 +0200

ruby2.5 (2.5.5-4) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * debian/rules: do not compress debug sections for arch-dep Ruby packages with dh_compat 12

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 30 Jul 2019 09:41:10 -0300

ruby2.5 (2.5.5-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/rubygems-2388.patch: Allow either Fetcher or OpenSSL exceptions
      when using invalid cert in rubygems testcase.
      - update the patch with the merged upstream PR: 2507
    - various backports for better openssl support (formerly undocumented in
      changelog)
      + d/p/0001-openssl-buffering.rb-no-RS-when-output.patch
      + d/p/0006-Workaround-for-old-LibreSSL.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jun 2019 14:29:11 +0200

ruby2.5 (2.5.5-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/rubygems-2388.patch: Allow either Fetcher or OpenSSL exceptions
      when using invalid cert in rubygems testcase.
      - update the patch with the merged upstream PR: 2507
    - various backports for better openssl support (formerly undocumented in
      changelog)
      + d/p/0001-openssl-buffering.rb-no-RS-when-output.patch
      + d/p/0006-Workaround-for-old-LibreSSL.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 May 2019 13:50:16 +0200

ruby2.5 (2.5.5-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/rubygems-2388.patch: Allow either Fetcher or OpenSSL exceptions
      when using invalid cert in rubygems testcase.
      - update the patch with the merged upstream PR: 2507
    - various backports for better openssl support (formerly undocumented in
      changelog)
      + d/p/0001-openssl-buffering.rb-no-RS-when-output.patch
      + d/p/0006-Workaround-for-old-LibreSSL.patch
  * Dropped changes: d/p/1dfc377ae3b174b043d3f0ed36de57b0296b34d0.patch
    - upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Mar 2019 10:47:03 +0100

ruby2.5 (2.5.3-4ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/1dfc377ae3b174b043d3f0ed36de57b0296b34d0.patch: Cherrypick
      upstream commit to fix session resumption with TLS 1.3.
    - d/p/rubygems-2388.patch: Allow either Fetcher or OpenSSL exceptions
      when using invalid cert in rubygems testcase.
    - various backports for better openssl support (formerly undocumented in
      changelog)
      + d/p/0001-openssl-buffering.rb-no-RS-when-output.patch
      + d/p/0006-Workaround-for-old-LibreSSL.patch
  * Dropped changes: d/p/update-cert-{1,2}.patch
    - included in patch: 0012-test-update-test-certificate.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Mar 2019 18:56:00 +0100

ruby2.5 (2.5.3-3ubuntu3) disco; urgency=medium

  * d/p/update-cert-{1,2}.patch: update certificates to fix FTBFS
    (LP: #1812669)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 21 Jan 2019 10:59:42 -0200

ruby2.5 (2.5.3-3ubuntu2) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:52:13 +0000

ruby2.5 (2.5.3-3ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1806694). Remaining changes:
    - d/p/1dfc377ae3b174b043d3f0ed36de57b0296b34d0.patch: Cherrypick
      upstream commit to fix session resumption with TLS 1.3.

