=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,9 @@
 configure_options += --enable-ipv6
 configure_options += --with-dbm-type=gdbm_compat
 
+# do not compress debug sections for arch-dep Ruby packages with dh_compat 12
+configure_options += --with-compress-debug-sections=no
+
 # hardening and other standard Debian build flags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 configure_options += $(shell dpkg-buildflags --export=configure)
@@ -78,7 +81,7 @@
 excludes += --excludes-dir=debian/tests/excludes/$(DEB_HOST_ARCH)/
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check V=1 RUBY_TESTOPTS=-v TESTS="$(excludes)" OPENSSL_CONF=/dev/null
+	$(MAKE) check V=1 RUBY_TESTOPTS=-v TESTS="$(excludes)" OPENSSL_CONF=$(CURDIR)/debian/openssl.cnf
 endif
 
 override_dh_auto_install-arch:
